> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Payments

GET https://api-b2b.bigcommerce.com/api/v3/io/ip/payments

Get payment list

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/invoice-management/payments/get-payments

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Query parameters

- `offset` (double, optional) — Pagination offset
- `limit` (double, optional) — Pagination limit
- `orderBy` (enum, optional) — "DESC" or "ASC"
  - Allowed values: `DESC`, `ASC`
- `sortBy` (enum, optional) — Sort by the field value
  - Allowed values: `moduleName`, `processingStatus`, `appliedStatus`, `createdAt`, `customerId`, `externalCustomerId`, `fundingStatus`, `updatedAt`, `totalAmount`
- `searchBy` (enum, optional) — Filter by a field
  - Allowed values: `id`, `customerId`, `externalId`, `externalCustomerId`
- `q` (string, optional) — You can perform keyword queries on fields corresponding to the value of "searchBy" or, if "searchBy" is empty, on all fields supported by "searchBy".
- `customerName` (string, optional) — Query by invoice B2B Edition company name
- `invoiceId` (double, optional) — Query by Invoice ID
- `processingStatus` (enum, optional) — payment processing status(0="Incomplete", 1="Awaiting Processing", 2="Processing", 3="Completed", 4="Refunded")
  - Allowed values: `0`, `1`, `2`, `3`, `4`
- `channelIds` (list of double, optional) — Query by BigCommerce Channel IDs. This parameter is not needed if you don't have multiple storefront channels.

## Response

### 200

OK

- `code` (double, required)
- `data` (list of PaymentsGetResponsesContentApplicationJsonSchemaDataItems, required)
- `meta` (PaymentsGetResponsesContentApplicationJsonSchemaMeta, required)

## Types

### PaymentsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (integer, optional) — The unique numeric ID for the payment method.
- `paymentCode` (string, optional) — The string identifying the processor for the payment.
- `paymentTitle` (string, optional) — The label for the payment displayed to customers.

### PaymentsGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: Success) — Human-readable status message.

## Examples

**Response**

```json
{
  "code": 1.1,
  "data": [
    {
      "id": 1.1,
      "allowedOperations": [
        1.1
      ],
      "allowedStatuses": [
        1.1
      ],
      "appliedStatus": 1.1,
      "channelId": "string",
      "channelName": "string",
      "createdAt": 1.1,
      "customerId": "string",
      "customerName": "string",
      "details": {
        "memo": "string"
      },
      "externalCustomerId": "string",
      "externalId": "string",
      "fees": [
        1.1
      ],
      "fundingStatus": 1.1,
      "lineItems": [
        {
          "amount": {
            "code": "string",
            "value": "string"
          },
          "invoiceId": 1.1,
          "invoiceNumber": "string",
          "paymentId": 1.1
        }
      ],
      "moduleData": {
        "transactions": [
          {
            "memo": "string",
            "rawTransaction": [
              null
            ],
            "type": "string"
          }
        ]
      },
      "moduleName": "string",
      "payerCustomerId": "string",
      "payerName": "string",
      "processingStatus": 1.1,
      "storeHash": "string",
      "total": {
        "code": "string",
        "value": "string"
      },
      "updatedAt": 1.1
    }
  ],
  "meta": {
    "message": "string",
    "pagination": {
      "limit": 1.1,
      "offset": 1.1,
      "totalCount": 1.1
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments"

querystring = {"orderBy":"DESC","processingStatus":"3","sortBy":"createdAt"}

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/ip/payments?orderBy=DESC&processingStatus=3&sortBy=createdAt';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments?orderBy=DESC&processingStatus=3&sortBy=createdAt"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments?orderBy=DESC&processingStatus=3&sortBy=createdAt")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments?orderBy=DESC&processingStatus=3&sortBy=createdAt")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/ip/payments?orderBy=DESC&processingStatus=3&sortBy=createdAt', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments?orderBy=DESC&processingStatus=3&sortBy=createdAt");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments?orderBy=DESC&processingStatus=3&sortBy=createdAt")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```